#
# Table structure for table `list_user_link`
#

DROP TABLE IF EXISTS list_user_link;
CREATE TABLE list_user_link (
  list_id int(11) NOT NULL default '0',
  user_id int(11) NOT NULL default '0',
  user_status int(11) NOT NULL default '0',
  user_subscription int(11) NOT NULL default '0',
  user_group varchar(20) default NULL,
  user_desc varchar(100) default NULL,
  PRIMARY KEY  (list_id,user_id)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `lists`
#

DROP TABLE IF EXISTS lists;
CREATE TABLE lists (
  id int(11) NOT NULL auto_increment,
  name varchar(30) NOT NULL default '',
  domain varchar(50) NOT NULL default '',
  shortdesc varchar(200) default NULL,
  subject_tag varchar(32) default NULL,
  subscribe_type tinyint(4) NOT NULL default '0',
  posting_type tinyint(4) NOT NULL default '0',
  visibility_type tinyint(4) NOT NULL default '0',
  stats_since varchar(30) NOT NULL default '0',
  stats_postings bigint(20) NOT NULL default '0',
  stats_sent bigint(20) NOT NULL default '0',
  stats_bounced bigint(20) NOT NULL default '0',
  stats_kb bigint(20) NOT NULL default '0',
  PRIMARY KEY  (id),
  UNIQUE KEY list_address (name,domain)
) TYPE=MyISAM COMMENT='lists table';
# --------------------------------------------------------

#
# Table structure for table `users`
#

DROP TABLE IF EXISTS users;
CREATE TABLE users (
  id bigint(11) NOT NULL auto_increment,
  address varchar(80) NOT NULL default '',
  extra varchar(100) default NULL,
  password varchar(30) default NULL,
  status tinyint(4) NOT NULL default '0',
  stats_since varchar(30) NOT NULL default '0',
  stats_postings bigint(20) NOT NULL default '0',
  stats_sent bigint(20) NOT NULL default '0',
  stats_bounced bigint(20) NOT NULL default '0',
  stats_kb bigint(20) NOT NULL default '0',
  PRIMARY KEY  (id),
  UNIQUE KEY address (address)
) TYPE=MyISAM;

    
INSERT INTO users VALUES (1, 'anonymous', 'Anon default user', 'xxx', 0, '1046039521', 0, 0, 0, 0);
